Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
Lucene::UnicodeUtil Class Reference

`#include <UnicodeUtils.h>`

## Public Member Functions

virtual | ~UnicodeUtil ()

## Static Public Member Functions

static bool | isAlnum (wchar_t c)
| Return true if supplied character is alpha-numeric. More...
static bool | isAlpha (wchar_t c)
| Return true if supplied character is alphabetic. More...
static bool | isDigit (wchar_t c)
| Return true if supplied character is numeric. More...
static bool | isSpace (wchar_t c)
| Return true if supplied character is a space. More...
static bool | isUpper (wchar_t c)
| Return true if supplied character is uppercase. More...
static bool | isLower (wchar_t c)
| Return true if supplied character is lowercase. More...
static bool | isOther (wchar_t c)
| Return true if supplied character is other type of letter. More...
static bool | isNonSpacing (wchar_t c)
| Return true if supplied character is non-spacing. More...
static wchar_t | toUpper (wchar_t c)
| Return uppercase representation of a given character. More...
static wchar_t | toLower (wchar_t c)
| Return lowercase representation of a given character. More...

## Constructor & Destructor Documentation

virtual Lucene::UnicodeUtil::~UnicodeUtil | ( |  | ) |

virtual

## Member Function Documentation

static bool Lucene::UnicodeUtil::isAlnum | ( | wchar_t | c | ) |

static

Return true if supplied character is alpha-numeric.

static bool Lucene::UnicodeUtil::isAlpha | ( | wchar_t | c | ) |

static

Return true if supplied character is alphabetic.

static bool Lucene::UnicodeUtil::isDigit | ( | wchar_t | c | ) |

static

Return true if supplied character is numeric.

static bool Lucene::UnicodeUtil::isLower | ( | wchar_t | c | ) |

static

Return true if supplied character is lowercase.

static bool Lucene::UnicodeUtil::isNonSpacing | ( | wchar_t | c | ) |

static

Return true if supplied character is non-spacing.

static bool Lucene::UnicodeUtil::isOther | ( | wchar_t | c | ) |

static

Return true if supplied character is other type of letter.

static bool Lucene::UnicodeUtil::isSpace | ( | wchar_t | c | ) |

static

Return true if supplied character is a space.

static bool Lucene::UnicodeUtil::isUpper | ( | wchar_t | c | ) |

static

Return true if supplied character is uppercase.

static wchar_t Lucene::UnicodeUtil::toLower | ( | wchar_t | c | ) |

static

Return lowercase representation of a given character.

static wchar_t Lucene::UnicodeUtil::toUpper | ( | wchar_t | c | ) |

static

Return uppercase representation of a given character.

The documentation for this class was generated from the following file:

- UnicodeUtils.h

clucene.sourceforge.net